package rest.jbpm;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Marshaller;

import org.jbpm.api.Configuration;
import org.jbpm.api.ProcessEngine;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;


@Path("/")
public class JbpmService { 
	
	public static ProcessEngine processEngine = new Configuration().buildProcessEngine();
	private static Logger log = LoggerFactory.getLogger(JbpmService.class);
	public static Marshaller marshaller;
	
	static {
		JAXBContext jaxbContext;
		try {
			jaxbContext = JAXBContext.newInstance("rest.jbpm.wrappers:" +
													"rest.jbpm.wrappers.refs:" +
													"rest.jbpm.wrappers.lists");
			marshaller = jaxbContext.createMarshaller();
			marshaller.setProperty(Marshaller.JAXB_ENCODING, "UTF-8");
			marshaller.setProperty(Marshaller.JAXB_FORMATTED_OUTPUT, true);
			
		} catch (JAXBException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
	}
	
	@GET
	@Path("hello")
	@Produces("text/*")
	public static String hello() {
		return "I'm alive!";
	}

}