package rest.jbpm.wrappers.lists;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

import rest.jbpm.wrappers.Definition;

@XmlRootElement
@XmlAccessorType(XmlAccessType.PROPERTY)
@XmlType(name = "processDefinitionList", propOrder = {
    "processDefinitions"})
public class DefinitionList {

	private List<Definition> processDefinitions;
	
	protected DefinitionList() {
		
	}
	
	public DefinitionList(Collection<? extends org.jbpm.api.ProcessDefinition> definitions) {
		
		processDefinitions = new ArrayList<Definition>();
		
		for(org.jbpm.api.ProcessDefinition def : definitions)
			processDefinitions.add(new Definition(def));

	}
	
	@XmlElement(required=true)
	public List<Definition> getProcessDefinitions() {
		return processDefinitions;
	}
}
