package rest.jbpm.wrappers.lists;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

import rest.jbpm.wrappers.HistoryTask;

@XmlRootElement
@XmlAccessorType(XmlAccessType.PROPERTY)
@XmlType(name = "historyTaskList", propOrder = {
    "tasks"})
public class HistoryTaskList {

	private List<HistoryTask> tasks;
	
	protected HistoryTaskList() {
		
	}
	
	public HistoryTaskList(Collection<? extends org.jbpm.api.history.HistoryTask> tsks) {
		
		tasks = new ArrayList<HistoryTask>();
		
		for(org.jbpm.api.history.HistoryTask tsk : tsks)
			tasks.add(new HistoryTask(tsk));

	}
	
	@XmlElement(required=true)
	public List<HistoryTask> getHistoryTask() {
		return tasks;
	}
}
