package rest.jbpm.wrappers.lists;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

import rest.jbpm.wrappers.HistoryTask;
import rest.jbpm.wrappers.Job;

@XmlRootElement
@XmlAccessorType(XmlAccessType.PROPERTY)
@XmlType(name = "jobList", propOrder = {
    "jobs"})
public class JobList {

	private List<Job> jobs;
	
	protected JobList() {
		
	}
	
	public JobList(Collection<? extends org.jbpm.api.job.Job> jbs) {
		
		jobs = new ArrayList<Job>();
		
		for(org.jbpm.api.job.Job jb : jbs)
			jobs.add(new Job(jb));

	}
	
	@XmlElement(required=true)
	public List<Job> getJobs() {
		return jobs;
	}
}

