package rest.jbpm.wrappers.lists;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

import rest.jbpm.wrappers.HistoryTask;
import rest.jbpm.wrappers.StringWrapper;

@XmlRootElement
@XmlAccessorType(XmlAccessType.PROPERTY)
@XmlType(name = "stringList", propOrder = {
    "list"})
public class StringList {

	private List<StringWrapper> elements;
	
	protected StringList() {
		
	}
	
	public StringList(Iterable<String> elements) {
		
		this.elements = new ArrayList<StringWrapper>();
		
		for(String element : elements) {
			this.elements.add(new StringWrapper(element));
		}
	}
	
	@XmlElement(required=true)
	public List<StringWrapper> getList() {
		return elements;
	}
}