package rest.jbpm.wrappers.refs;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.Properties;

import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import rest.jbpm.JbpmService;

@XmlType(name="deployment")
public class DeploymentRef {
	
	private static String base;
	private String deploymentId;
	private static Logger log = LoggerFactory.getLogger(DeploymentRef.class);
	
	static {
		Properties prop = new Properties();
		try {
			log.info("parsing props");
			prop.load(DeploymentRef.class.getClassLoader().getResourceAsStream("ref.properties"));
			base = prop.getProperty("deployment");
			log.info(base);
		} catch (FileNotFoundException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
	} 
	
	protected DeploymentRef() {
	}
	
	public DeploymentRef(String deploymentId) {
		
		this.deploymentId = deploymentId;
		
	}
	
	@XmlAttribute(name="ref", required=true)
	public String getDeploymen() {
		return base + deploymentId;
	}

}
